This is a multi-part message in MIME format.

--===============0791872107==
Content-class: urn:content-classes:message
Content-Type: multipart/alternative;
boundary="----_=_NextPart_001_01C88A1F.B19CA8F4"

This is a multi-part message in MIME format.

------_=_NextPart_001_01C88A1F.B19CA8F4
Content-Type: text/plain;
charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable


Hey Everyone,

I am currently using netsnmp with the default version of python that is =
shipped with debian etch (Python 2.4). However, I need to use python 2.5 =
specifically for certain packages. What is the proper way of setting up =
netsnmp with python 2.5.

Here are some notes:

1. I installed python 2.5 from the official debian repos and ran import =
netsnmp. It couldn't find the libraries.

2. I searched for the libraries and they are located in: =
/usr/lib/python2.4/site-packages/netsnmp_python-1.0a1-py2.4-linux-i686.eg=
g
* Can I just copy these libraries to /usr/lib/python2.5/...

3. I tired installing the netsnmp python bindings by running `sudo =
python2.5 setup.py install` and get the following error:

Traceback (most recent call last):
File "setup.py", line 2, in
from setuptools import setup, Extension, find_packages
ImportError: No module named setuptools

* Now, I have installed installed python2.5-setuptools and =
python2.5-dev as well.

Any ideas?

Thanks,
Amit

------_=_NextPart_001_01C88A1F.B19CA8F4
Content-Type: text/html;
charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable




charset=3Diso-8859-1">
6.5.7638.1">
How to use python 2.5 with netsnmp






Hey Everyone,



I am currently using netsnmp with the default version of python that is =
shipped with debian etch (Python 2.4). However, I need to use python 2.5 =
specifically for certain packages. What is the proper way of setting up =
netsnmp with python 2.5.



Here are some notes:



 1. I installed python 2.5 from the official debian repos and ran =
import netsnmp. It couldn't find the libraries.



 2. I searched for the libraries and they are located in: =
/usr/lib/python2.4/site-packages/netsnmp_python-1.0a1-py2.4-linux-i686.eg=
g

  * Can I just copy these libraries to /usr/lib/python2.5/...



 3. I tired installing the netsnmp python bindings by running `sudo =
python2.5 setup.py install` and get the following error:



Traceback (most recent call last):

  File "setup.py", line 2, in <module>

    from setuptools import setup, Extension, =
find_packages

ImportError: No module named setuptools



  * Now, I have installed installed python2.5-setuptools and =
python2.5-dev as well.



Any ideas?



Thanks,

Amit





------_=_NextPart_001_01C88A1F.B19CA8F4--



--===============0791872107==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
--===============0791872107==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
Net-snmp-users mailing list
Net-snmp-users@lists.sourceforge.net
Please see the following page to unsubscribe or change other options:
https://lists.sourceforge.net/lists/...net-snmp-users

--===============0791872107==--